using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航属性：培训通知附件
    /// </summary>
    [Description("培训通知附件")]
    public class T_SE_TRAIN_NOTIFY_FILE : MesEntityBase
    {
        /// <summary>
        /// 培训通知
        /// </summary>
        [Description("培训通知")]
        [DataFieldForeignKey("Nav_Notify","Nav_Files")]
        public Guid? NOTIFY_ID { get; set; }
        /// <summary>
        /// 导航: 培训通知
        /// </summary>
        [Description("导航: 培训通知")]
        public T_SE_TRAIN_NOTIFY Nav_Notify { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
